# Input method pick

A decision block that lets the user choose an input method (soft keyboard).

The fiber will pause until the user has chosen an input method, cancelled the dialog or the timeout expired.

This block will only let the user choose an input method, use the Input method set block to actually change it. Use the Interact block with action Show input method picker to let the user choose and change input method in a single step.

## Input arguments

- Enabled — whether to only show enabled input methods.
- Subtypes — whether to show subtypes, usually the language, if the input method support it, default is yes.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Input method — variable to assign the chosen input method.
- Input method subtype — variable to assign the subtype of the chosen input method.